> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task

> Retrieve complete details for a single task using its ID.



## OpenAPI

````yaml GET /api/v1/task/taskDetails/{taskId}
openapi: 3.1.0
info:
  title: Xenia Team API - Get Task Details
  version: 1.0.0
  description: Fetches full details of a specific task in the workspace.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/taskDetails/{taskId}:
    get:
      tags:
        - Tasks
      summary: Get Task Details
      description: Retrieve complete details for a single task using its ID.
      parameters:
        - name: taskId
          in: path
          required: true
          description: UUID of the task.
          schema:
            type: string
            format: uuid
            example: 232154c0-c239-48f8-b670-0e5d12fd64d0
        - name: workspaceId
          in: query
          required: true
          description: UUID of the workspace.
          schema:
            type: string
            format: uuid
            example: cb363f7e-c52a-4478-911d-f6a6f791090e
      responses:
        '200':
          description: Task details retrieved successfully.
          content:
            application/json:
              example:
                data:
                  id: 232154c0-c239-48f8-b670-0e5d12fd64d0
                  title: room inspection
                  description: test description
                  taskStatus: Open
                  priority: High
                  startDate: '2025-06-23T19:00:00.000Z'
                  dueDate: '2025-06-25T18:30:00.000Z'
                  attachment:
                    - >-
                      https://cdn.xenia.team/cb363f7e-c52a-4478-911d-f6a6f791090e/.../screenshot-1.png
                    - >-
                      https://cdn.xenia.team/cb363f7e-c52a-4478-911d-f6a6f791090e/.../screenshot-2.png
                  Creator:
                    id: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    firstName: Admin
                    lastName: (Karachi)
                    emailId: nihad77@yopmail.com
                    phoneNo: '+923177974971'
                  Location:
                    id: 62c70dc8-f8ce-4dfe-a798-844197610e11
                    name: Central TZ
                    address: FB Area karachi
                  ServiceType:
                    id: 263a3926-9cb1-4ad6-8969-ecfce1674cb7
                    type: '44'
                    color: '#FFCCBC'
                  TaskAssignees:
                    - Assigned:
                        id: c027212e-eedd-4fdd-9317-27903b82ed6e
                        firstName: Kumeil
                        lastName: Hosain
                        emailId: kumeil@xeniaplatform.io
                  timezone: Asia/Karachi
                  isOverDue: false
                  isChecklistRequired: false
                  isRequested: false
                  isPaused: false
                  isTimeBound: true
                meta: {}
        '400':
          description: Bad Request - Invalid task or workspace ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access task.
        '404':
          description: Not Found - Task does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````